API reference
Rows
The records in a table: list, filter, aggregate, create, edit and bulk-write them.
List rows
GET/v1/projects/{project_id}/tables/{table_id}/rows
Requirestables:read
Path parameters
project_idstringRequiredtable_idstringRequired
Query parameters
cursorstringoptionalfilterstringoptionallimitintegeroptional- Default
20
Between 1 and 100.
orderstringoptionalpageintegeroptionalAt least 1.
qstringoptionalUp to 200 characters.
Returns
200application/json
countintegerRequirednullableAt least 0.
hasMorebooleanRequiredlimitintegerRequiredAt least 1.
nextCursorstringRequirednullablepageintegerRequirednullableAt least 1.
rowsarray of objectsRequired
Errors
- 404
not_foundtable_not_found - 410
table_soft_deleted - 500
captcha_unavailableinternal_server_error
curl 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows' \ -H 'Authorization: ApiKey {your_api_key}'{ "count": 0, "hasMore": true, "limit": 1, "nextCursor": "string", "page": 1, "rows": [ {} ]}Create row
POST/v1/projects/{project_id}/tables/{table_id}/rows
Requirestables:write
Path parameters
project_idstringRequiredtable_idstringRequired
Request body
application/json
Returns
201application/json
Errors
- 400
captcha_failedcaptcha_requiredinvalid_inputrow_validation_failed - 402
api_request_limit_exceededfeature_not_availablerow_plan_limit - 404
not_foundtable_not_found - 410
table_soft_deleted - 500
captcha_unavailableinternal_server_errorrow_create_failed
curl -X POST 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows' \ -H 'Authorization: ApiKey {your_api_key}' \ -H 'Content-Type: application/json' \ -d '{}'{}Aggregate column values
GET/v1/projects/{project_id}/tables/{table_id}/rows/aggregate
Requirestables:read
Path parameters
project_idstringRequiredtable_idstringRequired
Query parameters
aggsstringRequiredfilterstringoptional
Returns
200application/json
Errors
- 400
captcha_failedcaptcha_requiredinvalid_aggregationinvalid_filterinvalid_input - 404
not_foundtable_not_found - 410
table_soft_deleted - 500
captcha_unavailableinternal_server_error
curl 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/aggregate?aggs=%7Baggs%7D' \ -H 'Authorization: ApiKey {your_api_key}'{ "key": 0}Bulk create/update/delete rows
POST/v1/projects/{project_id}/tables/{table_id}/rows/bulk
Requirestables:write
Path parameters
project_idstringRequiredtable_idstringRequired
Request body
application/json
createsarray of objectsoptionalUp to 1000 items.
deletesarray of stringsoptionalUp to 1000 items.
updatesarray of objectsoptionalUp to 1000 items.
dataobjectRequiredidstringRequired
Returns
200application/json
createdarray of objectsoptionaldeletedarray of stringsoptionalupdatedarray of objectsoptional
Errors
- 400
captcha_failedcaptcha_requiredinvalid_inputrow_validation_failed - 402
api_request_limit_exceededfeature_not_availablerow_plan_limit - 404
not_foundtable_not_found - 410
table_soft_deleted - 500
captcha_unavailableinternal_server_errorrow_bulk_failed
curl -X POST 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/bulk' \ -H 'Authorization: ApiKey {your_api_key}' \ -H 'Content-Type: application/json' \ -d '{ "creates": [ {} ], "deletes": [ "string" ], "updates": [ { "data": {}, "id": "string" } ]}'{ "created": [ {} ], "deleted": [ "string" ], "updated": [ {} ]}Get row
GET/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}
Requirestables:read
Path parameters
project_idstringRequiredtable_idstringRequiredrow_idstringRequired
Returns
200application/json
Errors
- 404
not_foundrow_not_foundtable_not_found - 410
table_soft_deleted - 500
captcha_unavailableinternal_server_error
curl 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}' \ -H 'Authorization: ApiKey {your_api_key}'{}Update row
PATCH/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}
Requirestables:write
Path parameters
project_idstringRequiredtable_idstringRequiredrow_idstringRequired
Request body
application/json
Returns
200application/json
Errors
- 400
captcha_failedcaptcha_requiredinvalid_inputrow_validation_failed - 404
not_foundrow_not_foundtable_not_found - 410
table_soft_deleted - 500
captcha_unavailableinternal_server_errorrow_update_failed
curl -X PATCH 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}' \ -H 'Authorization: ApiKey {your_api_key}' \ -H 'Content-Type: application/json' \ -d '{}'{}Delete row
DELETE/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}
Requirestables:delete
Path parameters
project_idstringRequiredtable_idstringRequiredrow_idstringRequired
Returns
200application/json
idstringRequired
Errors
- 404
not_foundrow_not_foundtable_not_found - 410
table_soft_deleted - 500
captcha_unavailableinternal_server_errorrow_delete_failed
curl -X DELETE 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}' \ -H 'Authorization: ApiKey {your_api_key}'{ "id": "string"}The source file behind a row: download it, or open a PDF or image inline
GET/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}/source
Requirestables:read
Path parameters
project_idstringRequiredtable_idstringRequiredrow_idstringRequired
Query parameters
dispositionstringoptional- Allowed values
attachmentinline- Default
attachment
Returns
200application/octet-stream
Errors
- 404
not_foundrow_not_foundrow_source_not_foundtable_not_found - 410
table_soft_deleted - 500
captcha_unavailableinternal_server_error
curl 'https://api.anyrow.ai/v1/projects/{project_id}/tables/{table_id}/rows/{row_id}/source' \ -H 'Authorization: ApiKey {your_api_key}'{ "error_key": "captcha_failed", "fields": { "key": [ { "error_key": "string", "message": "string", "path": "string" } ] }, "message": "string", "status": 400, "status_key": "string", "success": false, "vars": { "key": "string" }}